## lcgdm 1.8.11

=== debian/changelog ===
lcgdm (1.8.11-2) unstable; urgency=medium

  * Adapt sed expressions to allow slashes (Closes: #835762)
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 28 Aug 2016 17:32:25 +0200

lcgdm (1.8.11-1) unstable; urgency=medium

  * Update to version 1.8.11

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 10 May 2016 15:30:00 +0200

=== debian/control ===
Source: lcgdm
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends: debhelper (>= 5), libglobus-gssapi-gsi-dev, libglobus-gss-assist-dev, libglobus-gsi-credential-dev, libglobus-gsi-callback-dev, libglobus-gass-copy-dev, libglobus-ftp-client-dev, libglobus-common-dev, voms-dev (>= 2), gsoap, libcgsi-gsoap-dev (>= 1.3.4.2), libmysqlclient-dev, libpq-dev, uuid-dev, swig, libperl-dev, perl, python-dev, dh-python, xutils-dev, pkg-config
Standards-Version: 3.9.8
Section: net
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/lcgdm
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/lcgdm
Homepage: http://glite.web.cern.ch/glite/

Package: liblcgdm1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LHC Computing Grid Data Management common libraries
 This package contains common libraries for the LCG Data Management
 components: the LFC (LCG File Catalog) and the DPM (Disk Pool Manager).

Package: liblcgdm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblcgdm1 (= ${binary:Version}), ${misc:Depends}
Description: LCG Data Management common development files
 This package contains common development libraries and header files
 for LCG Data Management.

Package: liblfc1
Section: libs
Architecture: any
Multi-Arch: same
Depends: liblcgdm1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) libraries
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package contains the runtime LFC client library.

Package: liblfc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblfc1 (= ${binary:Version}), liblcgdm-dev (= ${binary:Version}), ${misc:Depends}
Description: LFC development libraries and header files
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package contains the development libraries and header files for LFC.

Package: lfc
Section: net
Architecture: any
Multi-Arch: foreign
Provides: lfc-client
Replaces: lfc-client (<< 1.8.1.2-2~), lfc-dli (<< 1.8.9)
Breaks: lfc-dli (<< 1.8.9)
Conflicts: lfc-client (<< 1.8.1.2-2~)
Depends: liblfc1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) client
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides the command line interfaces for the LFC.

Package: liblfc-perl
Section: perl
Architecture: any
Multi-Arch: same
Depends: liblfc1 (= ${binary:Version}), ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) perl bindings
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides Perl bindings for the LFC client library.

Package: python-lfc
Section: python
Architecture: any
Multi-Arch: foreign
Provides: ${python:Provides}
Depends: liblfc1 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: LCG File Catalog (LFC) python bindings
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides Python bindings for the LFC client library.

Package: lfc-server-mysql
Section: net
Architecture: any
Multi-Arch: foreign
Provides: lfc-mysql
Replaces: lfc-mysql (<< 1.8.1.2-2~)
Conflicts: lfc-mysql (<< 1.8.1.2-2~)
Depends: liblfc1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mysql-client | mariadb-client
Description: LCG File Catalog (LFC) server with MySQL database backend
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides an LFC server that uses MySQL as its database
 backend.

Package: lfc-server-postgres
Section: net
Architecture: any
Multi-Arch: foreign
Provides: lfc-postgres
Replaces: lfc-postgres (<< 1.8.1.2-2~)
Conflicts: lfc-postgres (<< 1.8.1.2-2~)
Depends: liblfc1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, postgresql-client
Description: LCG File Catalog (LFC) server with postgres database backend
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides an LFC server that uses postgres as its database
 backend.

Package: lfc-dli
Section: net
Architecture: any
Multi-Arch: foreign
Depends: liblfc1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) data location interface (dli) server
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides the data location interface (dli) server for
 the LFC.

Package: libdpm1
Section: libs
Architecture: any
Multi-Arch: same
Depends: liblcgdm1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) libraries
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package contains the runtime DPM client library.

Package: libdpm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdpm1 (= ${binary:Version}), liblcgdm-dev (= ${binary:Version}), ${misc:Depends}
Description: DPM development libraries and header files
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package contains the development libraries and header files for DPM.

Package: dpm
Section: net
Architecture: any
Multi-Arch: foreign
Provides: dpm-client
Replaces: dpm-client (<< 1.8.1.2-2~)
Conflicts: dpm-client (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) client
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides the command line interfaces for the DPM.

Package: libdpm-perl
Section: perl
Architecture: any
Multi-Arch: same
Depends: libdpm1 (= ${binary:Version}), ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) perl bindings
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides Perl bindings for the DPM client library.

Package: python-dpm
Section: python
Architecture: any
Multi-Arch: foreign
Provides: ${python:Provides}
Depends: libdpm1 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Disk Pool Manager (DPM) python bindings
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides Python bindings for the DPM client library.

Package: dpm-server-mysql
Section: net
Architecture: any
Multi-Arch: foreign
Provides: dpm-mysql
Replaces: dpm-mysql (<< 1.8.1.2-2~)
Conflicts: dpm-mysql (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mysql-client | mariadb-client
Description: Disk Pool Manager (DPM) server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM server that uses MySQL as its database
 backend.

Package: dpm-server-postgres
Section: net
Architecture: any
Multi-Arch: foreign
Provides: dpm-postgres
Replaces: dpm-postgres (<< 1.8.1.2-2~)
Conflicts: dpm-postgres (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, postgresql-client
Description: Disk Pool Manager (DPM) server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM server that uses postgres as its database
 backend.

Package: dpm-name-server-mysql
Section: net
Architecture: any
Multi-Arch: foreign
Provides: dpm-mysql-nameserver
Replaces: dpm-mysql-nameserver (<< 1.8.1.2-2~)
Conflicts: dpm-mysql-nameserver (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mysql-client | mariadb-client
Description: DPM nameserver server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM nameserver that uses MySQL as its
 database backend.

Package: dpm-name-server-postgres
Section: net
Architecture: any
Multi-Arch: foreign
Provides: dpm-postgres-nameserver
Replaces: dpm-postgres-nameserver (<< 1.8.1.2-2~)
Conflicts: dpm-postgres-nameserver (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, postgresql-client
Description: DPM nameserver server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM nameserver that uses postgres as its
 database backend.

Package: dpm-copy-server-mysql
Section: net
Architecture: any
Multi-Arch: foreign
Provides: dpm-mysql-copyd
Replaces: dpm-mysql-copyd (<< 1.8.1.2-2~)
Conflicts: dpm-mysql-copyd (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger
Description: DPM copy server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM copy server that uses MySQL as its
 database backend.

Package: dpm-copy-server-postgres
Section: net
Architecture: any
Multi-Arch: foreign
Provides: dpm-postgres-copyd
Replaces: dpm-postgres-copyd (<< 1.8.1.2-2~)
Conflicts: dpm-postgres-copyd (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger
Description: DPM copy server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM copy server that uses postgres as its
 database backend.

Package: dpm-srm-server-mysql
Section: net
Architecture: any
Multi-Arch: foreign
Provides: dpm-mysql-srmv1, dpm-mysql-srmv2, dpm-mysql-srmv22
Replaces: dpm-mysql-srmv1 (<< 1.8.1.2-2~), dpm-mysql-srmv2 (<< 1.8.1.2-2~), dpm-mysql-srmv22 (<< 1.8.1.2-2~)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

-include /usr/share/dpkg/buildflags.mk

INSTALLDIR = $(CURDIR)/debian/tmp

_prefix = /usr
_bindir = $(_prefix)/bin
_sbindir = $(_prefix)/sbin
_libdir = $(_prefix)/lib
_includedir = $(_prefix)/include
_sysconfdir = /etc
_localstatedir = /var
_initrddir = $(_sysconfdir)/init.d
_datadir = $(_prefix)/share
_mandir = $(_datadir)/man
_docdir = $(_datadir)/doc
_archlib = $(shell perl -MConfig -e 'print $$Config{vendorarch}')

VERSION=1.8.11

configure: configure-stamp

configure-stamp:
	dh_testdir

	chmod 644 security/globus_gsi_gss_constants.h \
		  security/globus_i_gsi_credential.h \
		  security/gssapi_openssl.h
	chmod 644 doc/lfc/INSTALL-*

	# LFC with mysql backend

	mkdir lfc-mysql
	cp -pr Imakefile Makefile.ini config configure VERSION scripts \
	    h lib shlib common ns rfio dpm \
	    srmv1 srmv2 srmv2.2 security dli dicomcopy dpmcopy \
	    test lfc-mysql

	# The code violates the strict aliasing rules all over the place...
	# Need to use -fnostrict-aliasing so that the -O2 optimization in
	# CFLAGS doesn't try to use them.
	sed 's!^CC +=!& $(CPPFLAGS) $(CFLAGS) -fno-strict-aliasing!' \
	    -i lfc-mysql/config/linux.cf

	sed 's!^CXXFLAGS =!& $(CPPFLAGS) $(CXXFLAGS)!' \
	    -i lfc-mysql/common/Imakefile

	cd lfc-mysql && \
	gsoapversion=`soapcpp2 -v < /dev/null 2>&1 | grep C++ | sed 's/.* //'` && \
	./configure lfc --with-mysql \
		--libdir=\'lib/$(DEB_HOST_MULTIARCH)\' \
		--with-gsoap-version=$$gsoapversion \
		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
		--with-ns-config-file=$(_sysconfdir)/NSCONFIG \
		--with-etc-dir='$$(prefix)/../etc' \
		--with-sysconf-dir=EtcDir/default \
		--with-initrc-dir=EtcDir/init.d \
		--with-emi \
		--without-argus

	sed 's!$$(prefix)/var!$$(prefix)/../var!' -i lfc-mysql/config/site.def

	cd lfc-mysql && \
	make -f Makefile.ini Makefiles

	# LFC with postgres backend

	mkdir lfc-postgres
	cp -pr Imakefile Makefile.ini config configure VERSION scripts \
	    h lib shlib common ns rfio dpm \
	    srmv1 srmv2 srmv2.2 security dli dicomcopy dpmcopy \
	    test lfc-postgres

	# The code violates the strict aliasing rules all over the place...
	# Need to use -fnostrict-aliasing so that the -O2 optimization in
	# CFLAGS doesn't try to use them.
	sed 's!^CC +=!& $(CPPFLAGS) $(CFLAGS) -fno-strict-aliasing!' \
	    -i lfc-postgres/config/linux.cf

	sed 's!^CXXFLAGS =!& $(CPPFLAGS) $(CXXFLAGS)!' \
	    -i lfc-postgres/common/Imakefile

	cd lfc-postgres && \
	gsoapversion=`soapcpp2 -v < /dev/null 2>&1 | grep C++ | sed 's/.* //'` && \
	./configure lfc --with-postgres \
		--libdir=\'lib/$(DEB_HOST_MULTIARCH)\' \
		--with-gsoap-version=$$gsoapversion \
		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
		--with-ns-config-file=$(_sysconfdir)/NSCONFIG \
		--with-etc-dir='$$(prefix)/../etc' \
		--with-sysconf-dir=EtcDir/default \
		--with-initrc-dir=EtcDir/init.d \
		--with-emi \
		--without-argus

	sed 's!$$(prefix)/var!$$(prefix)/../var!' -i lfc-postgres/config/site.def

	sed -e 's/\(BuildDLI	*\)YES/\1NO/' \
	    -e 's/\(BuildInterfaces	*\)YES/\1NO/' \
	    -e 's/\(BuildNameServerClient	*\)YES/\1NO/' \
	    -e 's/\(BuildNameServerLibrary	*\)YES/\1NO/' \
	    -i lfc-postgres/config/site.def
	sed '/^\#define.*YES/d' -i lfc-postgres/config/Project.tmpl \
				   lfc-postgres/config/Library.tmpl
	sed '/^SECURITYDIR =/d' -i lfc-postgres/config/Project.tmpl
	sed 's/\(install:\).*/\1/' -i lfc-postgres/h/Imakefile

	cd lfc-postgres && \
	make -f Makefile.ini Makefiles

	# DPM with mysql backend

	mkdir dpm-mysql
	cp -pr Imakefile Makefile.ini config configure VERSION scripts \
	    h lib shlib common ns rfio dpm \
	    srmv1 srmv2 srmv2.2 security dli dicomcopy dpmcopy \
	    test dpm-mysql

	# The code violates the strict aliasing rules all over the place...
	# Need to use -fnostrict-aliasing so that the -O2 optimization in
	# CFLAGS doesn't try to use them.
	sed 's!^CC +=!& $(CPPFLAGS) $(CFLAGS) -fno-strict-aliasing!' \
	    -i dpm-mysql/config/linux.cf

	sed 's!^CXXFLAGS =!& $(CPPFLAGS) $(CXXFLAGS)!' \
	    -i dpm-mysql/common/Imakefile

	cd dpm-mysql && \
	gsoapversion=`soapcpp2 -v < /dev/null 2>&1 | grep C++ | sed 's/.* //'` && \
	./configure dpm --with-mysql \
		--libdir=\'lib/$(DEB_HOST_MULTIARCH)\' \
		--with-gsoap-version=$$gsoapversion \
		--with-dpm-config-file=$(_sysconfdir)/DPMCONFIG \
		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
		--with-ns-config-file=$(_sysconfdir)/DPNSCONFIG \
		--with-etc-dir='$$(prefix)/../etc' \
		--with-sysconf-dir=EtcDir/default \
		--with-initrc-dir=EtcDir/init.d \
		--with-emi \
		--without-argus

	sed 's!$$(prefix)/var!$$(prefix)/../var!' -i dpm-mysql/config/site.def

	sed -e '/^SECURITYDIR =/d' \
	    -e '/^COMMONDIR =/d' -i dpm-mysql/config/Project.tmpl
	sed -e 's/:.*(lcgdm).*/:/' -i dpm-mysql/lib/Imakefile
	sed -e 's/:.*(lcgdm).*/:/' -i dpm-mysql/shlib/Imakefile

	cd dpm-mysql && \
	make -f Makefile.ini Makefiles

	# DPM with postgres backend

	mkdir dpm-postgres
	cp -pr Imakefile Makefile.ini config configure VERSION scripts \
	    h lib shlib common ns rfio dpm \
	    srmv1 srmv2 srmv2.2 security dli dicomcopy dpmcopy \
	    test dpm-postgres

	# The code violates the strict aliasing rules all over the place...
	# Need to use -fnostrict-aliasing so that the -O2 optimization in
	# CFLAGS doesn't try to use them.
	sed 's!^CC +=!& $(CPPFLAGS) $(CFLAGS) -fno-strict-aliasing!' \
	    -i dpm-postgres/config/linux.cf

	sed 's!^CXXFLAGS =!& $(CPPFLAGS) $(CXXFLAGS)!' \
	    -i dpm-postgres/common/Imakefile

	cd dpm-postgres && \
	gsoapversion=`soapcpp2 -v < /dev/null 2>&1 | grep C++ | sed 's/.* //'` && \
	./configure dpm --with-postgres \
		--libdir=\'lib/$(DEB_HOST_MULTIARCH)\' \
		--with-gsoap-version=$$gsoapversion \
		--with-dpm-config-file=$(_sysconfdir)/DPMCONFIG \
		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
		--with-ns-config-file=$(_sysconfdir)/DPNSCONFIG \
		--with-etc-dir='$$(prefix)/../etc' \
		--with-sysconf-dir=EtcDir/default \
		--with-initrc-dir=EtcDir/init.d \
		--with-emi \
		--without-argus

	sed 's!$$(prefix)/var!$$(prefix)/../var!' -i dpm-postgres/config/site.def

	sed -e 's/\(BuildDPMClient	*\)YES/\1NO/' \
	    -e 's/\(BuildInterfaces	*\)YES/\1NO/' \
	    -e 's/\(BuildNameServerClient	*\)YES/\1NO/' \
	    -e 's/\(BuildNameServerLibrary	*\)YES/\1NO/' \
	    -e 's/\(BuildRfioClient	*\)YES/\1NO/' \
	    -e 's/\(BuildRfioServer	*\)YES/\1NO/' \
	    -i dpm-postgres/config/site.def
	sed '/^\#define.*YES/d' -i dpm-postgres/config/Project.tmpl \
				-i dpm-postgres/config/Library.tmpl
	sed '/^SECURITYDIR =/d' -i dpm-postgres/config/Project.tmpl
	sed 's/\(install:\).*/\1/' -i dpm-postgres/h/Imakefile

	cd dpm-postgres && \
	make -f Makefile.ini Makefiles

	touch $@

build: build-indep build-arch

build-indep: build-stamp

build-arch: build-stamp

build-stamp: configure-stamp
	dh_testdir

	cd lfc-mysql && \
	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
		DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) \
		SYSCONFDIR=$(_sysconfdir) \
		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
		SHLIBLDFLAGS="-shared $(LDFLAGS) -Wl,-z,defs"

	cd lfc-postgres/shlib && ln -s ../../lfc-mysql/shlib/liblcgdm.so* .
	cd lfc-postgres/shlib && ln -s ../../lfc-mysql/shlib/liblfc.so* .

	cd lfc-postgres && \
	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
		DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) \
		SYSCONFDIR=$(_sysconfdir) \
		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
		SHLIBLDFLAGS="-shared $(LDFLAGS) -Wl,-z,defs" \
		POSINC=-I/usr/include/postgresql

	cd dpm-mysql/shlib && ln -s ../../lfc-mysql/shlib/liblcgdm.so* .

	cd dpm-mysql && \
	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
		DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) \
		SYSCONFDIR=$(_sysconfdir) \
		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
		SHLIBLDFLAGS="-shared $(LDFLAGS) -Wl,-z,defs"

	cd dpm-postgres/shlib && ln -s ../../lfc-mysql/shlib/liblcgdm.so* .
	cd dpm-postgres/shlib && ln -s ../../dpm-mysql/shlib/libdpm.so* .

## lcgdm 1.9.0

=== debian/changelog ===
lcgdm (1.9.0-3) unstable; urgency=medium

  * The STACK macro was removed in globus-gsi-credential 7.13. Don't use.
    (Closes: #881308)
  * Migrate to dbgsym packages

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 19 Nov 2017 07:34:37 +0100

lcgdm (1.9.0-2) unstable; urgency=medium

  * Rebuild for openssl 1.1.0 (Closes: #828373)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 26 Dec 2016 14:18:10 +0100

lcgdm (1.9.0-1) unstable; urgency=medium

  * Update to version 1.9.0
  * Use default-libmysqlclient-dev BuildRequires
  * Use default-mysql-client Requires

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 27 Sep 2016 11:15:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: lcgdm
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
-Build-Depends: debhelper (>= 5), libglobus-gssapi-gsi-dev, libglobus-gss-assist-dev, libglobus-gsi-credential-dev, libglobus-gsi-callback-dev, libglobus-gass-copy-dev, libglobus-ftp-client-dev, libglobus-common-dev, voms-dev (>= 2), gsoap, libcgsi-gsoap-dev (>= 1.3.4.2), libmysqlclient-dev, libpq-dev, uuid-dev, swig, libperl-dev, perl, python-dev, dh-python, xutils-dev, pkg-config
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9), libglobus-gssapi-gsi-dev, libglobus-gss-assist-dev, libglobus-gsi-credential-dev, libglobus-gsi-callback-dev, libglobus-gass-copy-dev, libglobus-ftp-client-dev, libglobus-common-dev, voms-dev (>= 2), gsoap, libcgsi-gsoap-dev (>= 1.3.4.2), default-libmysqlclient-dev, libpq-dev, uuid-dev, swig, libperl-dev, perl, python-dev, dh-python, xutils-dev, pkg-config
+Standards-Version: 4.1.1
 Section: net
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/lcgdm
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/lcgdm
@@ -89,7 +89,7 @@
 Provides: lfc-mysql
 Replaces: lfc-mysql (<< 1.8.1.2-2~)
 Conflicts: lfc-mysql (<< 1.8.1.2-2~)
-Depends: liblfc1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mysql-client | mariadb-client
+Depends: liblfc1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, default-mysql-client | virtual-mysql-client
 Description: LCG File Catalog (LFC) server with MySQL database backend
  The LCG File Catalog (LFC) keeps track of the locations of the physical
  replicas of the logical files in a distributed storage system.
@@ -188,7 +188,7 @@
 Provides: dpm-mysql
 Replaces: dpm-mysql (<< 1.8.1.2-2~)
 Conflicts: dpm-mysql (<< 1.8.1.2-2~)
-Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mysql-client | mariadb-client
+Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, default-mysql-client | virtual-mysql-client
 Description: Disk Pool Manager (DPM) server with MySQL database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -218,7 +218,7 @@
 Provides: dpm-mysql-nameserver
 Replaces: dpm-mysql-nameserver (<< 1.8.1.2-2~)
 Conflicts: dpm-mysql-nameserver (<< 1.8.1.2-2~)
-Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mysql-client | mariadb-client
+Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, default-mysql-client | virtual-mysql-client
 Description: DPM nameserver server with MySQL database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 _docdir = $(_datadir)/doc
 _archlib = $(shell perl -MConfig -e 'print $$Config{vendorarch}')
 
-VERSION=1.8.11
+VERSION=1.9.0
 
 configure: configure-stamp
 
@@ -241,3 +241,4 @@
 
 	cd dpm-postgres/shlib && ln -s ../../lfc-mysql/shlib/liblcgdm.so* .
 	cd dpm-postgres/shlib && ln -s ../../dpm-mysql/shlib/libdpm.so* .
+

## lcgdm 1.10.0

=== scripts/RLS-Atlas-migration/bin/Makefile ===
#
#  Copyright (C) 1997-2002 by CERN/IT/PDP/DM
#  All rights reserved
#

#  Default rules for Make          Linux

CC += -g -fPIC -D_LARGEFILE64_SOURCE
MTCCFLAGS = -pthread -DCTHREAD_LINUX -D_THREAD_SAFE -D_REENTRANT
MTLDLIBS =
MTLDFLAGS = -pthread
SHLIBLDFLAGS = -shared
SHLIBREQLIBS = -lc -lpthread

FC = g77

ACCTFLAG=-DSACCT

BIN = /opt/lcg/bin

CP = cp
LD = cc
LN = ln

RANLIB = ranlib

SHELL = /bin/sh

#INCLUDES = ../../../h
INCLUDES = ../../LCG-DM/h

#LIBS = -L../../../shlib -llfc -lshift $(ADNSLIB) -lnsl -luuid -lCsec -ldl
LIBS = -L../../../shlib -L/opt/lcg/lib -llfc -lshift $(ADNSLIB) -lnsl -luuid -ldl

PROGS = migrate_info migrate_path migrate_files

CFLAGS = -I$(INCLUDES)

DEPLIBS = ../../LCG-DM/ns/libns.a

all: $(PROGS)

migrate_info: migrate_info.o $(DEPLIBS)
	$(LD) -o $@ $(LDFLAGS) migrate_info.o $(LIBS)
migrate_path: migrate_path.o $(DEPLIBS)
	$(LD) -o $@ $(LDFLAGS) migrate_path.o $(LIBS)
migrate_files: migrate_files.o $(DEPLIBS)
	$(LD) -o $@ $(LDFLAGS) migrate_files.o $(LIBS)

../../LCG-DM/ns/libns.a:	FORCE
	cd ../../LCG-DM/ns ; $(MAKE) libns.a

clean:
	-@$(RM) -f *.o *.a *.so ,* .es1 core

clobber:        clean
	-@$(RM) -f $(PROGS)

depend:
	makedepend -Y$(INCLUDES) *.c 2> /dev/null

Makefiles:

FORCE:

####################### DEPENDENCIES ##########################

# DO NOT DELETE THIS LINE -- make  depend  depends  on  it.

=== scripts/UpdateACLForMySQL/src/Makefile ===
CC=g++

UPDATE_ACL_HOME=/home/labadie/projects_mysql/Update_acl_MySQL

IDIR=$(UPDATE_ACL_HOME)/include

MYSQL_HOME=/usr/include/mysql

INCL=-I$(IDIR) -I$(MYSQL_HOME)

SOURCE_FILE=$(UPDATE_ACL_HOME)/src

OUTDIR=$(UPDATE_ACL_HOME)/output

MYSQL_LIBS=/usr/lib/mysql

RANLIB = ranlib

SO_EXT=.so

MKLINK= ln -s

ARC_EXT=.a

ICLIBPATH=-L  $(MYSQL_LIBS)

THREADLIBS= -lpthread

CCLIB=$(ICLIBPATH) -lmysqlclient -lz -lm -lnsl -lcrypt $(THREADLIBS)



CFLAGS=$(FLAGS)  -g 


OBJS = updateACL_core.o getError.o updateACL_main.o 





$(OUTDIR)/UpdateACLForMySQL: $(OBJS) $(MYSQL_LIBS)/libmysqlclient.a
	g++ -static-libgcc -o $(OUTDIR)/UpdateACLForMySQL   $(OBJS) $(CCLIB)




getError.o:getError.cpp $(IDIR)/getError.h 

	$(CC) $(CFLAGS) $(INCL) -o getError.o  -c  getError.cpp



updateACL_main.o:updateACL_main.cpp  $(IDIR)/updateACL_core.h  

	$(CC) $(CFLAGS) $(INCL) -o updateACL_main.o  -c updateACL_main.cpp  



updateACL_core.o:updateACL_core.cpp $(IDIR)/updateACL_core.h 

	$(CC) $(CFLAGS)  $(INCL) -o updateACL_core.o  -c  updateACL_core.cpp



clean:

	-rm -f *.o

=== debian/changelog ===
lcgdm (1.10.0-2) unstable; urgency=medium

  * Update debian/copyright

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 26 Feb 2018 14:57:17 +0100

lcgdm (1.10.0-1) unstable; urgency=medium

  * Update to version 1.10.0
  * Drop patches lcgdm-dpm-listspaces-dav.patch and lcgdm-gsi-credential.patch
  * Use update-rc.d defaults-disabled in maintainer scripts
  * Build python3 packages
  * Move VCS to salsa.debian.org

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 12 Feb 2018 13:32:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: lcgdm
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
-Build-Depends: debhelper (>= 9), libglobus-gssapi-gsi-dev, libglobus-gss-assist-dev, libglobus-gsi-credential-dev, libglobus-gsi-callback-dev, libglobus-gass-copy-dev, libglobus-ftp-client-dev, libglobus-common-dev, voms-dev (>= 2), gsoap, libcgsi-gsoap-dev (>= 1.3.4.2), default-libmysqlclient-dev, libpq-dev, uuid-dev, swig, libperl-dev, perl, python-dev, dh-python, xutils-dev, pkg-config
-Standards-Version: 4.1.1
-Section: net
-Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/lcgdm
-Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/lcgdm
+Build-Depends: debhelper (>= 9), libglobus-gssapi-gsi-dev, libglobus-gss-assist-dev, libglobus-gsi-credential-dev, libglobus-gsi-callback-dev, libglobus-gass-copy-dev, libglobus-ftp-client-dev, libglobus-common-dev, voms-dev (>= 2), gsoap, libcgsi-gsoap-dev (>= 1.3.4.2), default-libmysqlclient-dev, libpq-dev, uuid-dev, swig, libperl-dev, perl, python-dev, python3-dev, dh-python, xutils-dev, pkg-config
+Standards-Version: 4.1.3
+Section: net
+Vcs-Browser: https://salsa.debian.org/ellert/lcgdm
+Vcs-Git: https://salsa.debian.org/ellert/lcgdm.git
 Homepage: http://glite.web.cern.ch/glite/
 
 Package: liblcgdm1
@@ -77,10 +77,22 @@
 Provides: ${python:Provides}
 Depends: liblfc1 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
 XB-Python-Version: ${python:Versions}
-Description: LCG File Catalog (LFC) python bindings
- The LCG File Catalog (LFC) keeps track of the locations of the physical
- replicas of the logical files in a distributed storage system.
- This package provides Python bindings for the LFC client library.
+Description: LCG File Catalog (LFC) python2 bindings
+ The LCG File Catalog (LFC) keeps track of the locations of the physical
+ replicas of the logical files in a distributed storage system.
+ This package provides Python2 bindings for the LFC client library.
+
+Package: python3-lfc
+Section: python
+Architecture: any
+Multi-Arch: foreign
+Provides: ${python3:Provides}
+Depends: liblfc1 (= ${binary:Version}), ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
+XB-Python3-Version: ${python3:Versions}
+Description: LCG File Catalog (LFC) python3 bindings
+ The LCG File Catalog (LFC) keeps track of the locations of the physical
+ replicas of the logical files in a distributed storage system.
+ This package provides Python3 bindings for the LFC client library.
 
 Package: lfc-server-mysql
 Section: net
@@ -175,11 +187,24 @@
 Provides: ${python:Provides}
 Depends: libdpm1 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
 XB-Python-Version: ${python:Versions}
-Description: Disk Pool Manager (DPM) python bindings
- The LCG Disk Pool Manager (DPM) creates a storage element from a set
- of disks. It provides several interfaces for storing and retrieving
- data such as RFIO and SRM version 1, version 2 and version 2.2.
- This package provides Python bindings for the DPM client library.
+Description: Disk Pool Manager (DPM) python2 bindings
+ The LCG Disk Pool Manager (DPM) creates a storage element from a set
+ of disks. It provides several interfaces for storing and retrieving
+ data such as RFIO and SRM version 1, version 2 and version 2.2.
+ This package provides Python2 bindings for the DPM client library.
+
+Package: python3-dpm
+Section: python
+Architecture: any
+Multi-Arch: foreign
+Provides: ${python3:Provides}
+Depends: libdpm1 (= ${binary:Version}), ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
+XB-Python3-Version: ${python3:Versions}
+Description: Disk Pool Manager (DPM) python3 bindings
+ The LCG Disk Pool Manager (DPM) creates a storage element from a set
+ of disks. It provides several interfaces for storing and retrieving
+ data such as RFIO and SRM version 1, version 2 and version 2.2.
+ This package provides Python3 bindings for the DPM client library.
 
 Package: dpm-server-mysql
 Section: net
@@ -252,28 +277,3 @@
 Description: DPM copy server with MySQL database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
- data such as RFIO and SRM version 1, version 2 and version 2.2.
- This package provides a DPM copy server that uses MySQL as its
- database backend.
-
-Package: dpm-copy-server-postgres
-Section: net
-Architecture: any
-Multi-Arch: foreign
-Provides: dpm-postgres-copyd
-Replaces: dpm-postgres-copyd (<< 1.8.1.2-2~)
-Conflicts: dpm-postgres-copyd (<< 1.8.1.2-2~)
-Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger
-Description: DPM copy server with postgres database backend
- The LCG Disk Pool Manager (DPM) creates a storage element from a set
- of disks. It provides several interfaces for storing and retrieving
- data such as RFIO and SRM version 1, version 2 and version 2.2.
- This package provides a DPM copy server that uses postgres as its
- database backend.
-
-Package: dpm-srm-server-mysql
-Section: net
-Architecture: any
-Multi-Arch: foreign
-Provides: dpm-mysql-srmv1, dpm-mysql-srmv2, dpm-mysql-srmv22
-Replaces: dpm-mysql-srmv1 (<< 1.8.1.2-2~), dpm-mysql-srmv2 (<< 1.8.1.2-2~), dpm-mysql-srmv22 (<< 1.8.1.2-2~)

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 _docdir = $(_datadir)/doc
 _archlib = $(shell perl -MConfig -e 'print $$Config{vendorarch}')
 
-VERSION=1.9.0
+VERSION=1.10.0
 
 configure: configure-stamp
 
@@ -241,4 +241,3 @@
 
 	cd dpm-postgres/shlib && ln -s ../../lfc-mysql/shlib/liblcgdm.so* .
 	cd dpm-postgres/shlib && ln -s ../../dpm-mysql/shlib/libdpm.so* .
-
